#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Thu May  6 12:32:04 2021

@author: mirco
"""

import matplotlib
import matplotlib.pyplot as plt
import numpy as np
import sys
from matplotlib.dates import DateFormatter
import pandas as pd

############ PLOT1 ################################
data= pd.read_csv('example.csv', parse_dates=['x','x-text'])

fig, ax = plt.subplots()
ax.plot(data["x"], data["y"], color='blue', marker="s", markersize=9, markerfacecolor='red',linestyle='-')
ax.plot(data["x"][:-1], data["y"][:-1], marker="s", markersize=9, markerfacecolor='blue', color='blue', linestyle='-')


for x, y, text in zip(data["x-text"][:-1], data["y-text"][:-1], data["system"][:-1]):
    plt.text(x, y, text, fontsize=12, horizontalalignment='left',multialignment='left')
    
    
plt.text(data["x-text"][len(data["x"])-1], data["y-text"][len(data["x"])-1], data["system"][len(data["x"])-1], fontsize=12, fontweight='bold', horizontalalignment='right',multialignment='left',verticalalignment='bottom')


plt.yticks(fontsize=12)
plt.ylim(11, 23)

print(data["x"])
plt.xticks(('2018-01-01', '2019-01-01','2020-01-01','2021-01-01'), ('2018','2019','2020','2021'), fontsize=12)



plt.xlabel('', fontsize=12)
plt.ylabel('SISNRi(dB)', fontsize=12)

ax.grid()

fig.savefig("test.png")
plt.show()


############# PLOT2 - MetricGAN+ ################################

#data= pd.read_csv('voicebank.csv', parse_dates=['x','x-text'])
#
#fig, ax = plt.subplots()
#ax.plot(data["x"], data["y"], color='blue', marker="s", markersize=9, markerfacecolor='red',linestyle='-')
#ax.plot(data["x"][:-1], data["y"][:-1], marker="s", markersize=9, markerfacecolor='blue', color='blue', linestyle='-')
#
#
#for x, y, text in zip(data["x-text"][:-1], data["y-text"][:-1], data["system"][:-1]):
#    plt.text(x, y, text, fontsize=12, horizontalalignment='left',multialignment='left')
#    
#    
#plt.text(data["x-text"][len(data["x"])-1], data["y-text"][len(data["x"])-1], data["system"][len(data["x"])-1], fontsize=12, fontweight='bold', horizontalalignment='right',multialignment='left',verticalalignment='bottom')
#
#
#plt.yticks(fontsize=12)
#plt.ylim(2.10, 3.20)
#
#print(data["x"])
#plt.xticks(('2018-01-01', '2019-01-01','2020-01-01','2021-01-01'), ('2018','2019','2020','2021'), fontsize=12)
#
#
#
#plt.xlabel('', fontsize=12)
#plt.ylabel('SISNRi(dB)', fontsize=12)
#
#ax.grid()
#
#fig.savefig("test.png")
#plt.show()



############# PLOT3 - TIMIT ################################

#data= pd.read_csv('TIMIT.csv', parse_dates=['x','x-text'])
#
#fig, ax = plt.subplots()
#ax.plot(data["x"], data["y"], color='blue', marker="s", markersize=9, markerfacecolor='red',linestyle='-')
#ax.plot(data["x"][:-1], data["y"][:-1], marker="s", markersize=9, markerfacecolor='blue', color='blue', linestyle='-')
#
#
#for x, y, text in zip(data["x-text"][:-1], data["y-text"][:-1], data["system"][:-1]):
#    plt.text(x, y, text, fontsize=12, horizontalalignment='left',multialignment='left')
#    
#    
#plt.text(data["x-text"][len(data["x"])-1], data["y-text"][len(data["x"])-1], data["system"][len(data["x"])-1], fontsize=12, fontweight='bold', horizontalalignment='right',multialignment='left',verticalalignment='bottom')
#
#
#plt.yticks(fontsize=12)
#plt.ylim(7.0, 18.5)
#
#print(data["x"])
##plt.xticks(('2018-01-01', '2019-01-01','2020-01-01','2021-01-01'), ('2018','2019','2020','2021'), fontsize=12)
#
#
#
#plt.xlabel('', fontsize=12)
#plt.ylabel('Phone Error Rate (PER%)', fontsize=12)
#
#ax.grid()
#
#fig.savefig("test.png")
#plt.show()